#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>

int main(void) {
	DDRB = _BV(DDB0);
	// tryb asynchroniczny
	ASSR |= _BV(AS2);
	// preskaler 128
	TCCR2 = _BV(CS22) | _BV(CS20);
	// zaczekaj na zapis ustawie
	while (ASSR & _BV(TCR2UB));
	// przerwanie na przepenienie Timer2
	TIMSK = _BV(TOIE2);
	sei();
	set_sleep_mode(SLEEP_MODE_PWR_SAVE);
	sleep_enable();
	while (1) {
		sleep_cpu();
	}
}

ISR(TIMER2_OVF_vect) {
	PORTB ^= _BV(PB0);
}